Fetch workspaces

Retrieve a list of workspaces in your organization

A GET request to the /workspaces endpoint retrieves a paginated list of workspaces belonging to your organization, including each workspace's uuid.

Note that the workspaceUuid required to address a workspace in certain v2 endpoints is returned in the response body of this endpoint.

Request URL

Request Payload

//none

Sample Response Payload

{
  "items": [
    {
      "uuid": "0b0e4bcf-PLACEHOLDER-uuid",
      "id": 42,
      "name": "Vancouver AM"
    }
  ],
  "nextCursor": "aWQ6MTA5OTc5NA"
}

Here's a description of payload attributes returned in the response:

FieldsTypeDescription
uuidStringUnique identifier of the workspace. Use this to address the workspace on all endpoints that require a workspaceUuid.
idIntegerThe numeric workspace ID, used by endpoints on the v1 of the API.
nameStringName of the workspace, as shown in the Routific UI.
nextCursorStringOptional. Pass the nextCursor value returned from a previous response to fetch the next page. If nextCursor value returned is null, there are no more Workspaces in the list.